ChartDirector Ver 5.0 (PHP Edition)

PlotArea.setBackground

Usage

setBackground(color [, altBgColor [, edgeColor ]])

Description

Sets the background colors and the border color of the plot area.
A plot area can have one or two background colors. If it has two background colors, they are drawn alternatively as horizontal bands on the major background grid.
ChartDirector Ver 4.0 introduces two new methods PlotArea.setAltBgColor and PlotArea.set4QBgColor. They are used for vertical alternating bands, and for supporting 4 background colors for 4 quadrants.

Arguments

Argument | Default | Description
--- | --- | ---
color | (Mandatory) | The background color.
altBgColor | -1 | The second background color. -1 means there is no second background color.
edgeColor | -1 | The border color of the plot area. -1 means to use the default, which is LineColor. However, if the axes are configured in 4 quadrant mode (see XYChart.setAxisAtOrigin), the default will change to Transparent.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.